Sube un archivo para una solicitud de información
curl --request POST \
--url https://api.qbank.cl/platform/v1/me/txn-reviews/{reviewID}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/pdf' \
--data '"<string>"'import requests
url = "https://api.qbank.cl/platform/v1/me/txn-reviews/{reviewID}/files"
payload = "<string>"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/pdf"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/pdf'},
body: JSON.stringify('<string>')
};
fetch('https://api.qbank.cl/platform/v1/me/txn-reviews/{reviewID}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"file": {
"id": "f1e2d3c4-0000-4000-8000-0000000000aa",
"review_id": "7a3f2b1c-0000-4000-8000-000000000001",
"file_name": "invoice-221.pdf",
"content_type": "application/pdf",
"size_bytes": 482110,
"uploaded_by": "account",
"created_at": "2026-08-06T15:40:00Z"
},
"status": "in_review"
}
Sube un archivo para una solicitud de información
Sube un documento de respaldo para una revisión en info_requested. Envía el binario crudo con su Content-Type (PDF, PNG, JPEG, WEBP, TXT, CSV, DOC(X) o XLS(X), hasta 50 MB) y el nombre del archivo en el query param name. Al subir un archivo la revisión vuelve a in_review para que el equipo de cumplimiento la re-evalúe.
POST
/
v1
/
me
/
txn-reviews
/
{reviewID}
/
files
Sube un archivo para una solicitud de información
Autorizaciones
JWT de sesión (de register/login) o llave de API (pk_...).
X-API-Key: <token> se acepta como header alternativo.
Parámetros de ruta
Parámetros de consulta
Original filename (max 200 chars, no path separators).
Cuerpo
application/pdfimage/jpegimage/pngtext/csv
The body is of type file.
Respuesta
File uploaded; the review moved back to in_review.
Última modificación el 22 de agosto de 2026
⌘I